package com.ema.admin.modules.system.enums;

import lombok.Data;

@Data
public class SysRoleEnum {


    /**
     * 角色标识枚举
     */
    public enum RoleKey {

        ADMIN("1", "surper-admin", "系统管理员")
        ;

        private String roleId;
        private String value;
        private String describe;

        RoleKey(String roleId, String value, String describe) {
            this.roleId = roleId;
            this.describe = describe;
            this.value = value;
        }

        public String getRoleId() {
            return roleId;
        }
        public String getValue() {
            return value;
        }

        public String getDescribe() {
            return describe;
        }
    }

}
